Add advertiser
This endpoint adds advertiser.
HTTP Request
Section titled “HTTP Request”POST https://adelion.com/api/advertiser/add| Parameter | Type | Description | Requirement |
|---|---|---|---|
string | Advertiser’s email. | required | |
| Name | string | Advertiser’s name. | required |
| Description | string | Advertiser’s description. | optional |
| Website | string | Advertiser’s website. | optional |
| Country | string | Advertiser’s country. It must be a ISO-3166-1-alpha-2 country code. See Countries for a list of available countries. | required |
| City | string | Advertiser’s city. | optional |
| ZipCode | string | Advertiser’s zip code. | optional |
| Address | string | Advertiser’s address. | optional |
| Phone | string | Advertiser’s phone. | optional |
| MsgApp | string | Messaging application: Teams, Telegram or WhatsApp. | optional |
| MsgAccount | string | Messaging account name on Messaging application. | optional |
| Username | string | Advertiser’s username. It is required for fetching statistics through stats API or CSV export. | required |
{ "Advertiser": { "Mail": "advertiser@mail.com", "Name": "Advertiser name", "Description": "Advertiser desc", "Website": "www.advertiser.com", "Country": "US", "City": "New York", "ZipCode": "123456", "Address": "123 Street", "Phone": "+11111111111", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "Username": "advertiser1" }}Response
Section titled “Response”{ "Status": "Ok", "Advertiser": { "Id": 15, "TeamId": 1, "Mail": "advertiser@mail.com", "Name": "Advertiser name", "Description": "Advertiser desc", "Website": "www.advertiser.com", "Country": "US", "City": "New York", "ZipCode": "123456", "Address": "123 Street", "Phone": "+11111111111", "MsgApp": "[msg_app]", "MsgAccount": "[msg_account]", "Username": "advertiser1", "StatsAuth": "7sdd23", "StatsByDateCsv": "https://adelion.com/api/ortb/stats/advertiser/general?username=advertiser1&auth=7sdd23&date_from={date_from}&date_to={date_to}", "StatsByDateJson": "https://adelion.com/api/ortb/stats/advertiser/general?username=advertiser1&auth=7sdd23&date_from={date_from}&date_to={date_to}&type=json", "AccManagerId": 5, "AccManagerName": "John Doe", "Status": 0, "StatusString": "Active", "CampaignsCount": 0, "DspRtbEpsCount": 0, "DspVastTagsCount": 0, "DspPopFeedsCount": 0 }}Failure
Section titled “Failure”{ "Status": "Error", "Error": "[error description]"}| Code | Status | Meaning |
|---|---|---|
400 | Bad Request | You sent a body that isn’t JSON. |
401 | Unauthorized | Your access token is invalid. |
406 | Not Acceptable | One or more JSON values are missing or malformed, or the requested object was not found. |
500 | Internal Server Error | The server encountered a problem. Try again later. |